Name:           perl-Test-Deep
Version:        1.128
Release:        4
Summary:        Extremely flexible deep comparison
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Test-Deep
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Test-Deep-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(Test::Builder)

%description
Test::Deep gives you very flexible ways to check that the result you
got is the result you were expecting. At its simplest it compares two
structures by going through each level, ensuring that the values match,
that arrays and hashes have the same elements and that references are
blessed into the correct class. It also handles circular data structures
without getting caught in an infinite loop.

Where it becomes more interesting is in allowing you to do something
besides simple exact comparisons. With strings, the eq operator checks
that 2 strings are exactly equal but sometimes that's not what you want.
When you don't know exactly what the string should be but you do know
some things about how it should look, eq is no good and you must use
pattern matching instead. Test::Deep provides pattern matching for
complex data structures.

%package_help

%prep
%autosetup -n Test-Deep-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc Changes README TODO
%{perl_vendorlib}/Test/*

%files help
%defattr(-,root,root)
%{_mandir}/man3/*3*

%changelog
* Wed Dec 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.128-4
- Package init
